SYNCHRONIZE_RCU(9)

NAME
synchronize_rcu - wait until a grace period has elapsed.

SYNOPSIS

void synchronize_rcu (void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Control will return to the caller some time after a full grace period has elapsed, in other words after all currently executing RCU read-side critical sections have completed. RCU read-side critical sections are delimited by rcu_read_lock and rcu_read_unlock, and may be nested.

If your read-side code is not protected by rcu_read_lock, do -not- use synchronize_rcu.